%define version 2.0.16
%define release 7mdk
%define name octave

Summary: GNU Octave -- a high-level language for numerical computations
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sciences/Mathematics
BuildRequires: gpm-devel ncurses-devel
Source: %{name}-%{version}.tar.bz2
Source1: %{name}.menu
Source2: %{name}_icons.tar.bz2
URL: http://www.che.wisc.edu/octave
Requires: gnuplot
BuildRoot: %_tmppath/%{name}-buildroot

%description
GNU Octave is a high-level language, primarily intended for numerical
computations. It provides a convenient command line interface for
solving linear and nonlinear problems numerically, and for performing
other numerical experiments using a language that is mostly compatible
with Matlab. It may also be used as a batch-oriented language.

Octave has extensive tools for solving common numerical linear algebra
problems, finding the roots of nonlinear equations, integrating
ordinary functions, manipulating polynomials, and integrating ordinary
differential and differential-algebraic equations. It is easily
extensible and customizable via user-defined functions written in
Octave's own language, or using dynamically loaded modules written in
C++, C, Fortran, or other languages.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
tar xvfy %{SOURCE2}

%build

export CC="kgcc"
export CXX="kg++"


%configure --prefix=/usr --with-g77 --enable-dl --enable-shared --enable-lite-kernel --enable-picky-flags

make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name "*.oct" | xargs strip

install -m 755 -d $RPM_BUILD_ROOT/%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_menudir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm


%clean
rm -rf $RPM_BUILD_ROOT

# --section="Programming:" --entry="* Octave:(octave).		Interactive language for numerical computations." 

%post
/sbin/ldconfig
%_install_info octave.info
%{update_menus}
%preun
%_remove_install_info octave.info

%postun 
%{clean_menus}
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc BUGS COPYING NEWS* PROJECTS README README.Linux ChangeLog* ROADMAP SENDING-PATCHES THANKS
%doc doc/faq doc/liboctave doc/refcard emacs examples

%{_bindir}/*
%{_libdir}/octave/
%{_includedir}/*
%{_datadir}/octave
%{_libexecdir}/octave-%{version}
%{_mandir}/*/*
%{_infodir}/octave*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0.16-7mdk
- build with egcs

* Wed Sep 13 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-6mdk
- Rebuild with r-path (octave lib ont in /usr/lib/)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.16-5mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-4mdk
- Macros, BM, add multiple icons sizes

* Wed Apr 12 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-3mdk
- strip oct file
- add menu entry
 
* Tue Mar 21 2000 Vincent Saugey <vince@mandrakesoft.com> 2.0.16-2mdk
- corrected for new groups

* Thu Mar 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v2.0.16

* Fri Oct 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.0.13.90

* Thu Jul  9 1998 Jeff Johnson <jbj@redhat.com>
- repackage in powertools.

* Thu Jun 11 1998 Andrew Veliath <andrewtv@usa.net>
- Add %attr, build as user.

* Mon Jun 1 1998 Andrew Veliath <andrewtv@usa.net>
- Add BuildRoot, installinfo, require gnuplot, description from
  Octave's web page, update to Octave 2.0.13.
- Adapt from existing spec file.

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- removed libreadline stuff from the file list

* Mon Nov 24 1997 Otto Hammersmith <otto@redhat.com>
- changed configure command to put things in $RPM_ARCH-rehat-linux, 
  rather than genereated one... was causing problems between building 
  on i686 build machine.

* Mon Nov 17 1997 Otto Hammersmith <otto@redhat.com>
- moved buildroot from /tmp to /var/tmp

* Mon Sep 22 1997 Mike Wangsmo <wanger@redhat.com>
- Upgraded to version 2.0.9 and built for glibc system

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to version 2.0.5 and changed to build using a BuildRoot
